var __assign = (this && this.__assign) || Object.assign || function(t) {
    for (var s, i = 1, n = arguments.length; i < n; i++) {
        s = arguments[i];
        for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
            t[p] = s[p];
    }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var tools_1 = require("../../tools");
var ArenaSceneLoadMotion_1 = require("./ArenaSceneLoadMotion");
var actions_1 = require("./actions");
var saga_1 = require("./saga");
var reducer_1 = require("./reducer");
var state_1 = require("./state");
exports.default = tools_1.bundleToComponent({
    Component: ArenaSceneLoadMotion_1.default,
    actions: actions_1.default,
    reducer: reducer_1.default,
    saga: saga_1.default,
    state: state_1.default,
    propsPicker: function (state, actions, allState, _a) {
        var _arenaScene = _a._arenaScene;
        return (__assign({}, state, { actions: actions, reducerKey: _arenaScene.reducerKey }));
    },
    options: {
        vReducerKey: "_arenaSceneAnimation"
    }
});
