Object.defineProperty(exports, "__esModule", { value: true });
var state_1 = require("./state");
var ActionTypes_1 = require("./ActionTypes");
var AnimationPhases_1 = require("./AnimationPhases");
function default_1(state, action, sceneReducerKey) {
    if (state === void 0) { state = state_1.default; }
    if (action._sceneReducerKey !== sceneReducerKey)
        return state;
    switch (action.type) {
        case ActionTypes_1.default.ARENA_SCENE_ANIMATION_NEXTPHRASE:
            if (state.phase !== action.phase)
                return state;
            switch (state.phase) {
                case AnimationPhases_1.default.LOADING:
                    return Object.assign({}, state, {
                        phase: AnimationPhases_1.default.ENTERING
                    });
                case AnimationPhases_1.default.ENTERING:
                    return Object.assign({}, state, {
                        phase: AnimationPhases_1.default.IN
                    });
                case AnimationPhases_1.default.LEAVING:
                    return Object.assign({}, state, { phase: AnimationPhases_1.default.OUT });
                default:
                    return state;
            }
        case ActionTypes_1.default.ARENA_SCENE_ANIMATION_LEAVING_START:
            if (state.phase === AnimationPhases_1.default.IN)
                return Object.assign({}, state, { phase: AnimationPhases_1.default.LEAVING });
        default:
            return state;
    }
}
exports.default = default_1;
